Bug 652724 - "Insufficient memory to configure kdump!" during install
"Insufficient memory to configure kdump!" during install
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
6.0
All Linux
urgent Severity high
: rc
: ---
Assigned To: Cong Wang
Chao Ye
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-12 11:18 EST by Ben
Modified: 2014-03-18 02:49 EDT (History)
8 users (show)

See Also:
Fixed In Version: kexec-tools-2_0_0-153_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:15:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
No kdump option found in firstboot (119.45 KB, image/jpeg)
2011-02-27 23:59 EST, Chao Ye
no flags Details
Screenshot (102.57 KB, image/jpeg)
2011-02-28 01:26 EST, Chao Ye
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0736 normal SHIPPED_LIVE kexec-tools bug fix update 2011-05-18 14:09:18 EDT

  None (edit)
Description Ben 2010-11-12 11:18:03 EST
Description of problem:

When installing RHEL6 (currently tested on Workstation 32 and 64 bit) a message pops up during firstboot just after NTP has been configured.  It says "Insufficient memory to configure kdump!".  You are then presented with the Kdump configuration screen with everything greyed out and kdump seemingly enabled and with no way to disable it at this point.


Version-Release number of selected component (if applicable):

RHEL6.0


How reproducible:

Every time.


Steps to Reproduce:
1. Install RHEL6.0 Workstation 32 or 64 bit (not tested on Server at this point).
2. Reboot and follow firstboot progress.


Actual results:

Warning message and no way to configure (turn off) kdump during firstboot.


Expected results:

Ability to configure kdump during firstboot.


Additional info:

I don't know.  Maybe there's somewhere to deselect it during the customised package install step but I didn't see it.
Comment 2 Cong Wang 2010-11-14 21:48:12 EST
Ben, this is not a bug, we disable firstboot when you don't have memory >4G.
Thanks.
Comment 3 Ben 2010-11-15 05:01:31 EST
Do you mean you disable _kdump_ when you don't have more than 4GB of RAM?  If so I think this should be dealt with much less confusingly.

A modal dialogue box with a red warning sign and text with an exclamation mark at the end does not inspire confidence and generally means something is _broken_.  Some explanation of _why_ there's insufficient memory and that it's not a problem would be helpful.

Also, the screen following the warning where all of the kdump options are greyed out should show that kdump is _not_ enabled, rather than having the tickbox ticked.  And finally, the kdump service should be disabled rather than giving a warning on boot.  If it can't be used, why have it start up? (-:
Comment 4 Gerrit Slomma 2010-11-15 14:50:16 EST
What is the warning at boot for kdump?
I do not get any but only have 2 GB of RAM.
Comment 5 Cong Wang 2010-11-15 22:21:07 EST
(In reply to comment #3)
> Do you mean you disable _kdump_ when you don't have more than 4GB of RAM?  If
> so I think this should be dealt with much less confusingly.
> 

Yeah, you don't have a chance to configure kdump via firstboot, thus disabled.
But you can totally enable/configure it manually.

> A modal dialogue box with a red warning sign and text with an exclamation mark
> at the end does not inspire confidence and generally means something is
> _broken_.  Some explanation of _why_ there's insufficient memory and that it's
> not a problem would be helpful.


You need a long paragraph in a small dialog box? :) We have documented this in release notes of RHEL6.

> 
> Also, the screen following the warning where all of the kdump options are
> greyed out should show that kdump is _not_ enabled, rather than having the
> tickbox ticked.  And finally, the kdump service should be disabled rather than
> giving a warning on boot.  If it can't be used, why have it start up? (-:

Oh, it should not, let me check it.
Comment 6 Gerrit Slomma 2010-11-16 01:15:34 EST
If you never ever can configure kdump via firstboot just let the page with the unconfigurable option out. A step where you can't choose an option is just confusing the user (as proven with this bug).
Comment 7 Cong Wang 2010-11-16 01:48:56 EST
(In reply to comment #6)

Yeah, I remember I did, but might miss something when I added the dialog box.
Comment 8 Ben 2010-11-16 09:24:45 EST
I can confirm that kdump is enabled on this vanilla-installed RHEL6 64-bit Workstation with 4GB of RAM (2x 2GB DIMMS) on a Dell Optiplex GX760 (BIOS A08).

[root@knife ~]# chkconfig --list | grep kdump
kdump           0:off   1:off   2:off   3:on    4:on    5:on    6:off

Therefore shouldn't kdump have been configurable?  Given the modal dialogue box and the greyed out kdump configuration page during firstboot the OS seems to have assumed it wasn't usable.  In which case kdump shouldn't be getting started.

This is, therefore, a bug on at least one count.
Comment 11 Chao Ye 2011-02-27 23:59:08 EST
Created attachment 481303 [details]
No kdump option found in firstboot

Tested on dell-pe830-01.rhts.eng.bos.redhat.com with less than 4GB mem:
===========================================================
[root@dell-pe830-01 ~]# rpm -q kernel kexec-tools firstboot
kernel-2.6.32-118.el6.x86_64
kexec-tools-2.0.0-166.el6.x86_64
firstboot-1.110.10-1.el6.x86_64

No "Insufficient memory to configure kdump!" found
Comment 12 Cong Wang 2011-02-28 00:45:31 EST
(In reply to comment #11)
Copy firstboot_kdump.py to /usr/share/firstboot/modules.
Comment 13 Chao Ye 2011-02-28 01:26:51 EST
Created attachment 481311 [details]
Screenshot

Tested on dell-pesc1420-01.rhts.eng.bos.redhat.com:
========================================================================
[root@dell-pesc1420-01 ~]# rpm -q kernel kexec-tools firstboot; free
kernel-2.6.32-118.el6.x86_64
kexec-tools-2.0.0-166.el6.x86_64
firstboot-1.110.10-1.el6.x86_64
             total       used       free     shared    buffers     cached
Mem:       1019884     592184     427700          0      38936     348932
-/+ buffers/cache:     204316     815568
Swap:      2064376          0    2064376
Comment 14 Chao Ye 2011-03-01 01:10:40 EST
Based on comment #5 and comment #13, change status to VERIFIED.
Comment 15 errata-xmlrpc 2011-05-19 10:15:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0736.html

Note You need to log in before you can comment on or make changes to this bug.